TLS 1.2 Required by June 2020

Office 365 services will require Transport Layer Security (TLS) 1.2 or later for all connections starting June 1, 2020. The change will require updates to some computers accessing Office 365. TLS 1.2 is the latest version of the protocol that replaced Secure Sockets Layer (SSL) and encrypts communications with Office 365 services. Windows 7, Windows Server 2008, and Windows Server 2008 R2, and in addition other older OSs, require updates to work with TLS 1.2.

Become a DOM member or log in to read the full report